package io.better.toutiao.dto;

import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Map;

/**
 * 广告投放DTO
 *
 * @author better create in 2019-04-28 17:58
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class AdvertisingPutDTO extends PageDTO {

    /**
     * 过滤字段
     */
    private Map<String, Object> filtering;

    /**
     * 查询字段集合
     */
    private String[] fields;
}
